Bug 1285624 - AIO is processing only 1 request, even if >1 requests in virtio
AIO is processing only 1 request, even if >1 requests in virtio
Status: CLOSED DUPLICATE of bug 1243548
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Stefan Hajnoczi
Virtualization Bugs
:
Depends On: 1243548
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 00:20 EST by Stefan Hajnoczi
Modified: 2016-06-17 10:48 EDT (History)
13 users (show)

See Also:
Fixed In Version: qemu-kvm-rhev-2.5.0-1.el7
Doc Type: Bug Fix
Doc Text:
When QEMU was configured with the aio=native parameter, KVM virtual machines were slowed significantly. With this update, asynchronous I/O (AIO) can correctly process more than one request at a time, and using aio=native no longer has a negative impact on guest performance.
Story Points: ---
Clone Of: 1243548
Environment:
Last Closed: 2016-03-17 03:33:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Stefan Hajnoczi 2015-11-26 03:37:24 EST
Cloned for RHEL 7.2.z.  The RHEL 7.3 fix will come from upstream via rebase.
Comment 3 Stefan Hajnoczi 2016-02-24 04:36:20 EST
Setting RHEL 7.2.z flag.  For RHEL 7.3, please see bz#1243548.

Note You need to log in before you can comment on or make changes to this bug.